﻿@import url('sahel.css');

*, html {
    box-sizing: border-box;
    direction: rtl;
}

html {
    min-height: 100vh;
    position: relative;
    padding-bottom: 85px;
}

a {
    text-decoration: none;
}

body {
    margin: 0;
    background-color: #F8F8F8;
}

header {
    background: linear-gradient(58.96deg, #5BE7C4, #50C1E9 );
    text-align: center;
    --borderRadius: 2rem;
    border-bottom-left-radius: var(--borderRadius);
    border-bottom-right-radius: var(--borderRadius);
    padding: 30px 20px;
    margin-bottom: 40px !important;
}

    header .img {
        width: 150px;
        height: 150px;
        background-color: #fff;
        border-radius: 50%;
        padding: 23px;
        margin: auto;
    }

    header img {
        height: 100%;
    }

    header h1 {
        font-size: 1.3rem;
        font-weight: 500;
        color: #fff;
        margin: 0;
    }

    header nav {
        display: flex;
        justify-content: space-between;
        align-items: center;
        margin: -10px 10px;
    }

        header nav .title {
            color: #fff;
            font-weight: 600;
        }

        header nav .account {
            position: relative;
        }

            header nav .account .head {
                display: flex;
                align-items: center;
                cursor: pointer;
                background-color: #ffffff30;
                padding: 8px 12px;
                border-radius: 10px;
            }

                header nav .account .head img {
                    width: 16px;
                }

                header nav .account .head .arrow {
                    width: 9px;
                    margin-left: 10px;
                }

            header nav .account .body {
                position: absolute;
                left: 0;
                bottom: -7px;
                transform: translate(0%, 100%);
                background-color: #fff;
                border-radius: 10px;
                box-shadow: 0px 1px 4px 0px #0003;
                overflow: hidden;
                z-index: 99;
                display: none;
            }

                header nav .account .body .item {
                    display: flex;
                    align-items: center;
                    column-gap: 10px;
                    border-bottom: 2px solid #ccc;
                    padding: 10px 15px;
                    cursor: pointer;
                    width: 150px;
                    justify-content: flex-start;
                }

                    header nav .account .body .item:hover {
                        background-color: #f1f1f1;
                    }

                    header nav .account .body .item:last-child {
                        border-bottom: none;
                    }

                    header nav .account .body .item img {
                        width: 15px;
                    }

                    header nav .account .body .item .text {
                        font-size: 0.95rem;
                        color: #555;
                        font-weight: 600;
                    }

    header .parent {
        position: fixed;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background-color: transparent;
        z-index: 98;
        display: none;
    }


footer {
    margin: auto;
    text-align: center;
    position: absolute;
    width: 100%;
    left: 0;
    right: 0;
    bottom: 0;
    padding: 30px;
}

    footer .links {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        align-items: center;
        column-gap: 15px;
        row-gap: 15px;
        margin-bottom: 10px;
    }

    footer .text {
        font-weight: 500;
        font-size: 1rem;
        color: #8F5B3D;
    }


.container {
    margin: auto;
    width: 450px;
    max-width: 85%;
}

.box {
    background-color: #fff;
    padding: 30px;
    border-radius: 2rem;
    box-shadow: 0px 2px 10px 0 #00000015;
    margin-bottom: 30px;
}

    .box .title {
        margin-top: -10px;
        margin-bottom: 10px;
        font-size: 1rem;
        font-weight: 600;
        color: #555;
        display: flex;
        align-items: center;
        gap: 10px;
    }
    .box .title img{
        width: 20px;
    }

    .box .text {
        font-size: 0.8rem;
        font-weight: 400;
        color: #444;
        margin-bottom: 20px;
        display: flex;
        flex-wrap: wrap;
    }

    .box .secInput {
        display: flex;
        flex-wrap: wrap;
    }

        .box .secInput .group {
            margin-bottom: 20px;
        }

            .box .secInput .group.col-6:nth-last-of-type(odd) {
                padding-right: 10px;
            }

            .box .secInput .group.col-6:nth-last-of-type(even) {
                padding-left: 10px;
            }

            .box .secInput .group label {
                font-size: 0.8rem;
                color: #444;
            }

            .box .secInput .group .inpt {
                margin-bottom: 0;
                margin-top: 10px;
                border-color: #bbb;
            }

                .box .secInput .group .inpt:disabled {
                    opacity: 1;
                    background-color: #f5f5f5;
                    border-color: #bbb;
                }

            .box .secInput .group .select2-container {
                margin-top: 10px;
            }

            .box .secInput .group .secCheckBox {
                margin-top: 7px;
            }

                .box .secInput .group .secCheckBox:first-of-type {
                    margin-top: 15px;
                }

            .box .secInput .group .errormsg {
                font-size: 0.8rem;
                color: #f00;
                margin-top: 10px;
            }

.support {
    margin-top: 15px;
    text-align: center;
}

    .support a {
        font-size: 0.9rem;
        font-weight: 600;
        color: #007eff;
        padding: 5px 15px;
        display: flex;
        align-items: center;
        justify-content: center;
    }

        .support a svg {
            width: 15px;
            margin-left: 7px;
            fill: #007eff;
        }









.boxInfo {
    margin-top: 85px;
    position: relative;
}

    .boxInfo .secStatusLabel {
        position: absolute;
        overflow: hidden;
        top: 0;
        left: 0;
        width: 125px;
        height: 125px;
        display: flex;
        align-items: center;
    }

    .boxInfo .StatusLabel {
        color: #fff;
        width: 100%;
        padding: 1px 5px;
        font-size: 0.9rem;
        font-weight: 600;
        text-align: center;
        transform: rotate(-45deg) translate(0px, -40px);
        box-shadow: 0px 1px 7px 0 #00000021;
        display: none;
    }

    .boxInfo[status="1"] .StatusLabel {
        display: block;
        background-color: #12c9db;
    }

        .boxInfo[status="1"] .StatusLabel:before {
            content: "فعال";
        }

    .boxInfo[status="2"] .StatusLabel {
        display: block;
        background-color: #ff5250;
    }

        .boxInfo[status="2"] .StatusLabel:before {
            content: "حذف شده";
        }

    .boxInfo[status="1"] .openShowTripInfo {
        display: none;
    }

    .boxInfo[status="2"] .openHideTripInfo {
        display: none;
    }



    .boxInfo .item {
        margin-top: 0px;
        position: relative;
    }

        .boxInfo .item .img {
            margin-top: -80px;
            text-align: center;
            margin-bottom: 10px;
        }

            .boxInfo .item .img img {
                width: 100px;
                height: 100px;
                border-radius: 50%;
                border: 3px solid #5CE2FF;
                box-shadow: 0px -1px 10px 0 #00000020;
            }

        .boxInfo .item .code {
            text-align: center;
            font-size: 1.2rem;
            font-weight: 600;
            color: #494949;
            margin-bottom: 10px;
        }

        .boxInfo .item .age {
            text-align: center;
            margin: auto;
            background: rgba(0, 208, 255, 0.15);
            border-radius: 50px;
            font-weight: 500;
            font-size: 0.9rem;
            color: #717070;
            width: 85px;
            padding: 1px;
            margin-bottom: 20px;
        }

        .boxInfo .item .info {
            margin-bottom: 20px;
            display: flex;
            flex-wrap: wrap;
            column-gap: 10px;
            row-gap: 10px;
        }

            .boxInfo .item .info .title {
                margin-bottom: -2px;
                color: #444;
                font-size: 1rem;
                font-weight: 600;
                position: relative;
                width: 100%;
            }

                .boxInfo .item .info .title:before {
                    content: '';
                    background-color: rgba(91, 230, 197, 0.25);
                    width: 60px;
                    height: 7px;
                    position: absolute;
                    top: 55%;
                    right: 0px;
                }

            .boxInfo .item .info .secchips {
                position: relative;
                overflow: hidden;
            }

                .boxInfo .item .info .secchips .inpt {
                    position: absolute;
                    opacity: 0;
                    top: 0;
                    left: 0;
                    width: 100%;
                    height: 100%;
                    cursor: pointer;
                    margin: 0;
                    z-index: 2;
                }

                .boxInfo .item .info .secchips .chips {
                    filter: grayscale(1);
                }

                .boxInfo .item .info .secchips .inpt:checked + .chips {
                    filter: grayscale(0);
                }

            .boxInfo .item .info .chips {
                display: flex;
                align-items: center;
                gap: 10px;
                background-color: rgba(91, 230, 197, 0.25);
                border-radius: 8px;
                padding: 3px 10px;
                color: #21A888;
                font-size: 0.9rem;
                font-weight: 600;
            }

                .boxInfo .item .info .chips img {
                    width: 15px;
                    margin-left: 10px;
                }



        .boxInfo .item .secbtn {
            display: flex;
            justify-content: right;
            gap: 10px;
            margin-top: 10px;
        }

            .boxInfo .item .secbtn .btn {
                margin-bottom: 10px;
            }

            /*.boxInfo .item .secbtn .btn {
                width: initial;
                padding: 10px 15px;
                display: flex;
                align-items: center;
                align-content: center;
                margin: 0;
            }

                .boxInfo .item .secbtn .btn.success {
                    margin-right: auto;
                }*/

            .boxInfo .item .secbtn .active {
                background: linear-gradient(251.12deg, #0089ff -18.24%, #56a7d6 128.59%);
                padding: 4px 6px;
            }

                .boxInfo .item .secbtn .active img {
                    display: none;
                }

                .boxInfo .item .secbtn .active:before {
                    content: 'مشاهده';
                    margin-left: 5px;
                }

            .boxInfo .item .secbtn .btn img {
                width: 26px;
                margin-left: 7px;
            }



.inputOstan, .inputCity {
    border: 1px solid #ccc;
    border-radius: 8px;
    padding: 2px 5px;
    margin: 5px 0px;
    background-color: #ffffff;
}

    .inputOstan:focus, .inputCity:focus {
        outline: 1px solid #ccc;
    }







.select2-results__option[aria-disabled=true] {
    display: none !important;
}

.OpenEitaaModal {
    color: #0089ED;
    font-size: 0.75rem;
    font-weight: 600;
    float: left;
    margin-top: 4px;
    cursor: pointer;
}



.box .secbtn {
    display: flex;
    flex-direction: column;
    align-items: center;
}








.boxMobile {
}

    .boxMobile .title {
        font-size: 0.9rem;
        font-weight: 600;
        margin-bottom: 20px;
    }


.boxCode {
    display: none;
}

    .boxCode .title {
        font-size: 0.9rem;
        font-weight: 600;
        margin-bottom: 20px;
    }

    .boxCode .text {
        font-size: 0.8rem;
        font-weight: 400;
        color: #444;
        margin-bottom: 20px;
        display: flex;
        flex-wrap: wrap;
    }

        .boxCode .text span {
            font-weight: 600;
            padding: 0px 3px;
        }

        .boxCode .text .showBoxMobile {
            margin-right: auto;
            cursor: pointer;
            color: #0089ed;
            font-weight: 600;
        }

    .boxCode .secInput {
        display: flex;
        column-gap: 15px;
        flex-wrap: nowrap;
    }

        .boxCode .secInput .inptCode {
            font-size: 1rem;
        }

    .boxCode .secbtn {
        display: flex;
        flex-direction: column;
        align-items: center;
    }

        .boxCode .secbtn .btnAgainSendCode {
            box-shadow: none;
            width: auto;
            font-size: 0.8rem;
        }

            .boxCode .secbtn .btnAgainSendCode.active {
                background-color: #0089ED;
                color: #fff;
            }

            .boxCode .secbtn .btnAgainSendCode span {
                font-size: 0.75rem;
                margin-right: 5px;
            }






.listTrip {
}

    .listTrip a {
        text-decoration: none;
    }

    .listTrip .item {
        box-shadow: 1px 1px 3px 1px #0003;
        padding: 10px 15px;
        border-radius: 1rem;
        text-align: center;
        font-size: 1.1rem;
        font-weight: 600;
        text-decoration: none;
        color: #555;
        text-shadow: 0px 2px 3px #0003;
        margin-bottom: 15px;
        background-color: #f8f8f8;
    }

    .listTrip a:last-child .item {
        margin-bottom: 0;
    }

    .listTrip .item:hover {
        box-shadow: 1px 1px 3px 1px #0003 inset;
    }







.boxPindedMessage {
    padding: 10px 15px;
    margin-top: -16px;
    margin-bottom: 25px;
    background-color: #ffffff;
    border-radius: 5px;
    color: #3e3e3e;
    cursor: pointer;
    font-size: 0.9rem;
    font-weight: 500;
    text-align: right;
    border-right: 4px solid #51c4e7;
    /* box-shadow: rgb(0 0 0 / 6%) 0px 2px 4px 0px inset; */
     box-shadow: rgb(33 35 38 / 10%) 0px 10px 10px -10px;
}


.ListCustomer {
}

    .ListCustomer .item {
        background-color: #fff;
        padding: 30px;
        border-radius: 2rem;
        box-shadow: 0px 2px 10px 0 #00000015;
        margin-top: 85px;
        position: relative;
    }

        .ListCustomer .item .img {
            margin-top: -80px;
            text-align: center;
            margin-bottom: 10px;
        }

            .ListCustomer .item .img img {
                width: 100px;
                height: 100px;
                border-radius: 50%;
                border: 3px solid #5CE2FF;
                box-shadow: 0px -1px 10px 0 #00000020;
            }

        .ListCustomer .item .code {
            text-align: center;
            font-size: 1.2rem;
            font-weight: 600;
            color: #494949;
            margin-bottom: 10px;
        }

        .ListCustomer .item .age {
            text-align: center;
            margin: auto;
            background: rgba(0, 208, 255, 0.15);
            border-radius: 50px;
            font-weight: 500;
            font-size: 0.9rem;
            color: #717070;
            width: 85px;
            padding: 1px;
            margin-bottom: 20px;
        }

        .ListCustomer .item .info {
            margin-bottom: 20px;
            display: flex;
            flex-wrap: wrap;
            column-gap: 10px;
            row-gap: 10px;
        }

            .ListCustomer .item .info .title {
                margin-bottom: -2px;
                color: #444;
                font-size: 1rem;
                font-weight: 600;
                position: relative;
                width: 100%;
            }

                .ListCustomer .item .info .title:before {
                    content: '';
                    background-color: rgba(91, 230, 197, 0.25);
                    width: 60px;
                    height: 7px;
                    position: absolute;
                    top: 55%;
                    right: 0px;
                }

            .ListCustomer .item .info .chips {
                display: flex;
                background-color: rgba(91, 230, 197, 0.25);
                border-radius: 8px;
                padding: 3px 10px;
                color: #21A888;
                font-size: 0.9rem;
                font-weight: 600;
                align-items: center;
                gap: 10px;
            }

                .ListCustomer .item .info .chips img {
                    width: 15px;
                    margin-left: 10px;
                }

        .ListCustomer .item .secbtn {
            display: flex;
            justify-content: flex-end;
        }

            .ListCustomer .item .secbtn .btn {
                display: flex;
                align-items: center;
                width: initial;
                background: linear-gradient(251.12deg, #00D0FF -18.24%, #56D6D6 128.59%);
                box-shadow: 0px 0px 4px rgba(0, 0, 0, 0.25);
                color: #fff;
                padding: 2px;
                padding-right: 5px;
                padding-left: 15px;
                border-radius: 7px;
                box-shadow: none;
                margin-bottom: 0px;
            }

            .ListCustomer .item .secbtn .active {
                background: linear-gradient(251.12deg, #0089ff -18.24%, #56a7d6 128.59%);
                padding: 4px 6px;
            }

                .ListCustomer .item .secbtn .active img {
                    display: none;
                }

                .ListCustomer .item .secbtn .active:before {
                    content: 'مشاهده';
                    margin-left: 5px;
                }

            .ListCustomer .item .secbtn .btn img {
                width: 26px;
                margin-left: 7px;
            }

        .ListCustomer .item .eitaa {
            display: flex;
            align-items: center;
            flex-wrap: wrap;
            row-gap: 10px;
            column-gap: 10px;
            background-color: #ff810030;
            border-radius: 1rem;
            padding: 15px 15px;
        }

            .ListCustomer .item .eitaa img {
                width: 30px;
            }

            .ListCustomer .item .eitaa .text {
                font-size: 1rem;
                color: #b55b00;
                font-weight: 600;
            }

            .ListCustomer .item .eitaa .link {
                font-size: 0.85rem;
                color: #b55b00;
                font-weight: 500;
                margin-right: auto;
            }






.modal .img {
    text-align: center;
    margin-bottom: 10px;
}

    .modal .img img {
        width: 100px;
        height: 100px;
        border-radius: 50%;
        border: 3px solid #5CE2FF;
        box-shadow: 0px -1px 10px 0 #00000020;
    }

.modal .name {
    text-align: center;
    font-size: 1.2rem;
    font-weight: 600;
    color: #494949;
    margin-bottom: 10px;
}

.modal .code {
    text-align: center;
    font-size: 1rem;
    font-weight: 500;
    color: #494949;
    margin-bottom: 10px;
}

.modal .age {
    text-align: center;
    margin: auto;
    background: rgba(0, 208, 255, 0.15);
    border-radius: 50px;
    font-weight: 500;
    font-size: 0.9rem;
    color: #717070;
    width: 85px;
    padding: 1px;
    margin-bottom: 20px;
}

.modal .info {
    margin-bottom: 20px;
    display: flex;
    flex-wrap: wrap;
    column-gap: 10px;
    row-gap: 10px;
}

    .modal .info .title {
        margin-bottom: -2px;
        color: #444;
        font-size: 1rem;
        font-weight: 600;
        position: relative;
        width: 100%;
    }

        .modal .info .title:before {
            content: '';
            background-color: rgba(91, 230, 197, 0.25);
            width: 60px;
            height: 7px;
            position: absolute;
            top: 55%;
            right: 0px;
        }

    .modal .info .chips {
        display: flex;
        background-color: rgba(91, 230, 197, 0.25);
        border-radius: 8px;
        padding: 3px 10px;
        color: #21A888;
        font-size: 0.9rem;
        font-weight: 600;
        align-items: center;
    }

        .modal .info .chips img {
            width: 15px;
            margin-left: 10px;
        }

        .modal .info .chips i {
            margin-left: 10px;
        }

.modal .eitaa {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    row-gap: 10px;
    column-gap: 10px;
    background-color: #ff810030;
    border-radius: 1rem;
    padding: 15px 15px;
}

    .modal .eitaa img {
        width: 30px;
    }

    .modal .eitaa .text {
        font-size: 1rem;
        color: #b55b00;
        font-weight: 600;
    }

    .modal .eitaa .link {
        font-size: 0.85rem;
        color: #b55b00;
        font-weight: 500;
        margin-right: auto;
    }

















.modal {
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    display: none;
}

    .modal .parent {
        position: absolute;
        top: 0px;
        left: 0px;
        width: 100%;
        height: 100%;
        background-color: #00000030;
        cursor: pointer;
    }

@media (min-width: 768px) {
    .modal .sec::-webkit-scrollbar {
        width: 26px;
    }

    .modal .sec::-webkit-scrollbar-track {
        background: #ffffff;
        border: 5px solid #fff;
    }

    .modal .sec::-webkit-scrollbar-thumb {
        background: #888;
        border: 11px solid #fff;
    }

        .modal .sec::-webkit-scrollbar-thumb:hover {
            background: #555;
        }
}

.modal .sec {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 400px;
    max-width: 90%;
    max-height: 90%;
    overflow: auto;
    transform: translate(-50%, -50%);
    background-color: #fff;
    padding: 30px;
    border-radius: 2rem;
    box-shadow: 0px 1px 10px 0px #0003;
}

    .modal .sec .title {
        font-size: 1rem;
        font-weight: 600;
        color: #444;
        margin-bottom: 15px;
    }

    .modal .sec video {
        width: 100%;
        border-radius: 1rem;
    }





.alert {
    padding: 10px 15px;
    font-size: 0.8rem;
    bottom: 20px auto;
    margin-top: 15px;
    width: 100%;
    border: none;
    border-radius: 10px;
    color: #383d41;
    background-color: #e2e3e5;
    display: none;
}

    .alert.danger {
        color: #721c24;
        background-color: #f8d7da;
    }

    .alert.success {
        color: #155724;
        background-color: #d4edda;
    }

    .alert.primary {
        color: #004085;
        background-color: #cce5ff;
    }

    .alert.info {
        color: #0c5460;
        background-color: #d1ecf1;
    }

    .alert.warning {
        color: #856404;
        background-color: #fff3cd;
    }

.inpt {
    padding: 10px 15px;
    border: 1px solid #0089ED;
    border-radius: 10px;
    font-size: 0.9rem;
    margin-bottom: 20px;
    width: 100%;
    text-align: center;
    outline: none;
}

    .inpt:focus {
        border-width: 1px;
        outline: 1px solid #0089ED;
    }

.secCheckBox {
    display: flex;
    align-items: center;
}

    .secCheckBox .inpt[type=checkbox] {
        width: auto;
        margin: 0px !important;
        margin-left: 10px !important;
        padding: 10px;
        width: 18px;
        height: 18px;
        accent-color: #0097b9;
    }

.btn {
    padding: 10px 15px;
    border: none;
    background-color: #ccc;
    color: #444;
    font-size: 0.9rem;
    margin-bottom: 20px;
    width: 100%;
    box-shadow: 0px 4px 19px rgba(119, 147, 65, 0.3);
    border-radius: 10px;
    cursor: pointer;
    outline: none;
}

    .btn svg {
        width: 17px;
        fill: #fff;
    }

    .btn:focus {
        outline: 1px solid #0089ED;
    }

    .btn.primery {
        background-color: #0089ED;
        color: #fff;
    }

    .btn.info {
        background-color: #50c2e8;
        color: #fff;
    }

    .btn.success {
        background-color: #19cba1;
        color: #fff;
    }

    .btn.danger {
        background-color: #DF362D;
        background-color: #C86B85;
        background-color: #CE1212;
        background-color: #D72323;
        background-color: #df5453;
        color: #fff;
    }

    .btn.warning {
        background-color: #e7881a;
        color: #fff;
    }

.ltr {
    direction: ltr;
}

.rtl {
    direction: rtl;
}

.row {
    display: flex;
    width: 100%;
}

.col-6 {
    width: 50%;
}

.col-12 {
    width: 100%;
}

.p-0 {
    padding: 0;
}

.p-1 {
    padding: 0.5rem;
}

.m-0 {
    margin: 0;
}

.mb-0 {
    margin-bottom: 0;
}

.d-none {
    display: none;
}

.loader {
    width: 20px;
    height: 20px;
    border-radius: 50%;
    border: 3px solid #eeeeee33;
    border-top-color: #fff;
    background-color: transparent;
    margin: auto;
    animation: RotateAnime 2s cubic-bezier(0.68, -0.55, 0.27, 1.55) infinite;
}

@keyframes RotateAnime {
    0% {
        transform: rotate(45deg);
    }

    50% {
        transform: rotate(405deg);
    }

    100% {
        transform: rotate(765deg);
    }
}








/* Chrome, Safari, Edge, Opera */
    input:: -webkit-outer-spin-button, input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input[type=number] {
    -moz-appearance: textfield;
}





.pagination {
    display: flex;
    justify-content: center;
    gap: 10px;
    padding: 30px;
}

    .pagination a {
        color: #0050a7 !important;
        background-color: #badbff;
        padding: 4px 0px;
        border-radius: 10px;
        width: 33px;
        text-align: center;
        cursor: pointer;
    }

        .pagination a.active {
            background-color: #007bff;
            color: #fff !important;
        }
